Download it now!
Bug 60722 - RTF import wrong shape order and coloring problems
Summary: RTF import wrong shape order and coloring problems
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:4.1.0 target:4.0.2
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2013-02-12 11:48 UTC by Sergey
Modified: 2015-12-17 12:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example source.rtf file (5.93 KB, application/rtf)
2013-02-12 11:48 UTC, Sergey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey 2013-02-12 11:48:32 UTC
Created attachment 74674 [details]
example source.rtf file

1. When you import RTF file with multiple shapes with \shpz0 - they are not placed one over another (like MSO do and many applications expect us to), but shuffled under instead.

2. Lines w/o defined color are colored "blue" and line width are defaulted to 0.0, while expected defaults are "black" and 0.3mm. Shapes are colored black.

3. When you save it in RTF - lines are saved as "blue", line width isn't saved at all, squares which were previously "black" became "blue", square order isn't kept.
Comment 1 Michael Meeks 2013-03-01 18:31:10 UTC
So - the stacking is visible at the bottom of the page: the smaller internal box that should be on top is at the bottom :-) The lines are clearly blue instead of black - [ a missing default ? ].

Sergey - in general it's by far better to file .3 as a separate bug - export and import are quite different code-paths I'm afraid.

Thanks for filing the issue with such a nice test-case though :-)
Comment 2 Miklos Vajna 2013-03-06 10:40:05 UTC
The RTF line width default is 0.75 points -> 0.26 mm, not 0.3 mm. The rest of the report looks correct, assigning to me.
Comment 3 Commit Notification 2013-03-06 15:37:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c7dbd9e1d2a131402a80e377630fe1ab5381a47

fdo#60722 RTF import: fix line color default



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-03-06 15:37:48 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf2a1277acd4a29492f056a626b13e903d391027

fdo#60722 RTF import: fix line width default



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-03-06 15:38:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1eaab77c718ffa254068ae6032862dfb5a03db67

fdo#60722 import RTF_SHPZ



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-03-06 15:38:23 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea66024d4da38a619f44c941b65e6a28b74214b9

fdo#60722 testcase



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Miklos Vajna 2013-03-06 16:32:44 UTC
4-0 review: https://gerrit.libreoffice.org/2569

As stated in comment 1, please open a separate bug for the export part.

Thanks!
Comment 8 Commit Notification 2013-03-07 08:35:56 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6f8721768eb3318245893eced3b89522fc87383&h=libreoffice-4-0

fdo#60722 RTF filter: shape import fixes


It will be available in LibreOffice 4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-17 12:13:15 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]